Forum


Replies: 2   Views: 2577
What version of word?
Topic closed:
Please note this is an old forum thread. Information in this post may be out-to-date and/or erroneous.
Every phpdocx version includes new features and improvements. Previously unsupported features may have been added to newer releases, or past issues may have been corrected.
We encourage you to download the current phpdocx version and check the Documentation available.

Posted by admin  · 03-07-2019 - 16:37

Hello,

phpdocx is compatible with MS 2019 using phpdocx 8.5 and newer (https://www.phpdocx.com/news/post/phpdocx-v8-5-release-notes/217). 

However, the base template included with phpdocx is compatible with all versions of MS Word (MS Word 2003 with compatibility pack, MS Word 2007, MS Word 2010 and all releases up to MS Word 2019), and other DOCX readers (LibreOffice, Google Docs, OpenOffice and others).

MS Word displays the Compatibility mode message automatically based on the base template/DOCX document (https://www.howtogeek.com/256269/what-is-compatibility-mode-in-microsoft-office/). If you want to avoid this message you just need to use to generate a blank DOCX with your current version of MS Word and load it using CreateDocxFromTemplate class.

As you are using an old version of phpdocx (7.5), we recommend you to upgrade to the latest release of phpdocx. After this upgrading, if you send a DOCX sample to contact[at]phpdocx.com the dev team will check it to send some tips to get a perfect output.

Regards.